Home / Advisories / KLCERT advisories / KLCERT-19-001: DeltaV Authentication Bypass

KLCERT-19-001: DeltaV Authentication Bypass

Kaspersky Lab publishes information on newly identified vulnerabilities in order to raise user awareness of the IT security threats detected. Kaspersky Lab does not make any guarantees in respect of information received from vendors of products in which vulnerabilities have been identified, which is included in the following sections of the advisory: Affected Products, Vendor Mitigation.

KL-IDS KLCERT-19-001
CVE-IDS CVE-2018-19021
Publication date 2019.03.01
Researcher Alexander Nochvay, Kaspersky Lab ICS CERT
Description Authentication bypass in DVBBaseMP_NoMFC.dll in DeltaV.
Impact A remote attacker can bypass authentication in DeltaV and expand attack surface.
Severity
CVSS v3 Base Score: 8.8
Vector CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:C/C:L/I:L/A:H
Exploitability Remotely
Difficulty Low
User interaction None
Existence of exploit Unknown
Affected products
Affected products DeltaV DCS Versions 11.3.1, 11.3.2, 12.3.1, 13.3.1, 14.3, R5.1, R6 and prior.
Mitigation
Vendor mitigation Emerson recommends users to patch affected products listed below:

  • DeltaV DCS Versions 11.3.1, 11.3.2, 12.3.1, 13.3.1, 14.3, R5.1, and R6
Timeline Sep 2017 – Vulnerabilities reported
Aug 2018 – Vendor notifies that issue does not work for versions 13.3.1 and higher and there are no plans to release security fix for older versions
Sep 2018 – Vendor notifies that fix is going to be released
Jan 2019 – Patch released